---
name: SIP
about: Superset Improvement Proposal (See SIP-0: https://github.com/apache/superset/issues/5602)
labels: "#SIP"
title: "[SIP] Your Title Here (do not add SIP number)"
asignees: "apache/superset-committers"

---

*Please make sure you are familiar with the SIP process documented*
(here)[https://github.com/apache/superset/issues/5602]. The SIP will be numbered by a committer upon acceptance.

## [SIP] Proposal for ...<title>

### Motivation

Description of the problem to be solved.

### Proposed Change

Describe how the feature will be implemented, or the problem will be solved. If possible, include mocks, screenshots, or screencasts (even if from different tools).

### New or Changed Public Interfaces

Describe any new additions to the model, views or `REST` endpoints. Describe any changes to existing visualizations, dashboards and React components. Describe changes that affect the Superset CLI and how Superset is deployed.

### New dependencies

Describe any `npm`/`PyPI` packages that are required. Are they actively maintained? What are their licenses?

### Migration Plan and Compatibility

Describe any database migrations that are necessary, or updates to stored URLs.

### Rejected Alternatives

Describe alternative approaches that were considered and rejected.
