/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
import { SupersetTheme } from '@superset-ui/core';

/* eslint-disable sort-keys, no-magic-numbers */
export const generateData = (theme: SupersetTheme) => ({
  geoJSON: {
    type: 'FeatureCollection',
    features: [
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3912672, 37.769092799999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3908502, 37.769425899999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.428577, 37.780626700000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42853410000001, 37.780384999999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4285247, 37.7803172],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4289542, 37.780288299999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42854750000001, 37.7804295],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42856090000002, 37.7805154],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42777749999999, 37.7796098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42755859999998, 37.778689799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42743229999999, 37.777719399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4134558, 37.7484727],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4134693, 37.748557500000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4134719, 37.7486508],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41349609999999, 37.7487166],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41395, 37.7486402],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4139875, 37.7487919],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41354140000001, 37.7489449],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.413528, 37.7490021],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4135253, 37.7491167],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4135145, 37.749193],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.414019, 37.7491316],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4117365, 37.7486445],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41175259999999, 37.7487696],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4117285, 37.7485724],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4117795, 37.7490453],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4117929, 37.749128000000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41121129999999, 37.7487523],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41121129999999, 37.7487523],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41122390000001, 37.748883500000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41122390000001, 37.748883500000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41122390000001, 37.748883500000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41122390000001, 37.748883500000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41121129999999, 37.7487523],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.411202, 37.748655299999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4113189, 37.7485282],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4117952, 37.7491739],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4118113, 37.74928],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41123770000002, 37.749056],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4112471, 37.749125799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41124040000001, 37.749056],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41123370000001, 37.748986200000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4113098, 37.749328600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4113098, 37.749328600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4113098, 37.749328600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4112602, 37.7492628],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41125359999998, 37.7491943],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41261899999999, 37.748848100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42924, 37.773016299999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42922630000001, 37.7729485],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42925359999998, 37.773084000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.429199, 37.7728129],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.429199, 37.7728129],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.429199, 37.7728129],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42921270000001, 37.7728807],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42921270000001, 37.7728807],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.429199, 37.7728129],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42803329999998, 37.772907000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42803329999998, 37.772907000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.36907930000001, 37.829124799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4194821, 37.7965601],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4194039, 37.79657],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41916909999999, 37.796599799999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4190509, 37.7966143],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4189344, 37.796629700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193241, 37.7965791],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4194821, 37.7965601],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4195577, 37.7965517],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4194039, 37.79657],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4194039, 37.79657],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4189344, 37.796629700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4189344, 37.796629700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193241, 37.7965791],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193241, 37.7965791],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4195577, 37.7965517],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4197094, 37.7964617],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4197094, 37.7964617],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4198895, 37.796369299999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4197094, 37.7964617],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.419622, 37.796477100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41922220000001, 37.7964735],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41922220000001, 37.7964735],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41922079999999, 37.7964746],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41922079999999, 37.7964746],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.419622, 37.796477100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.419622, 37.796477100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42507509999999, 37.805799],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3680513, 37.8109768],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42400220000002, 37.7726917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4242303, 37.7722281],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4238774, 37.772139200000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4240507, 37.7724944],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3958111, 37.794331],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3960615, 37.7961555],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39385370000001, 37.7941917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39385370000001, 37.7941917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39385370000001, 37.7941917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39385370000001, 37.7941917],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.475146, 37.804753000000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4753019, 37.804900399999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.47424170000001, 37.8046516],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37621399999999, 37.82493],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37600479999999, 37.8245274],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3759163, 37.8274638],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3760075, 37.827158700000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37581429999999, 37.8268833],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3754657, 37.8273198],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3985469, 37.7147003],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.43389350000001, 37.804396000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.43389350000001, 37.804396000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.43384569999999, 37.80415870000001],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4338662, 37.8042604],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4339084, 37.804563],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4339084, 37.804563],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4339084, 37.804563],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3676041, 37.8289299],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4280895, 37.803383200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4280746, 37.803309999999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4279744, 37.803245200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863600000001, 37.8033228],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863600000001, 37.8033228],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863600000001, 37.8033228],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863600000001, 37.8033228],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863600000001, 37.8033228],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4286077, 37.8033994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4286581, 37.8032157],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4286077, 37.8033994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42812140000001, 37.803540500000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4285142, 37.8029385],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42859469999999, 37.8031195],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42853819999999, 37.8030571],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.428076, 37.8030467],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42853819999999, 37.8030571],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42859469999999, 37.8031195],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4278783, 37.803670200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42788300000001, 37.8036681],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42788829999999, 37.8036691],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4279398, 37.803498600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4277419, 37.803523799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4277419, 37.803523799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4272755, 37.803583200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4274357, 37.803562799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4275639, 37.8035465],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4276493, 37.803535600000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42703529999999, 37.80374929999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4290591, 37.8033565],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4290591, 37.8033565],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42881650000001, 37.8034566],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4294863, 37.8033021],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4294863, 37.8033021],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42881650000001, 37.8034566],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4294009, 37.803313],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42881650000001, 37.8034566],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.428895, 37.8034118],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4289737, 37.8033673],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4291873, 37.8033401],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42931540000001, 37.803323799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4294009, 37.803313],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4294863, 37.8033021],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42863179999999, 37.80351829999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4071531, 37.8039556],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4071531, 37.8039556],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40703490000001, 37.8039679],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225845, 37.7450152],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42252090000001, 37.745434700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225145, 37.745363899999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225749, 37.7450845],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225657, 37.7451538],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225657, 37.7451538],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4225605, 37.74522279999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.42256100000002, 37.7452914],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38996770000001, 37.769589],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3952066, 37.7711267],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3719278, 37.825213899999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37250719999999, 37.825984999999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37384240000002, 37.8252314],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39015079999999, 37.7747333],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39134640000002, 37.7746826],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.43379420000001, 37.7901049],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4338035, 37.79010170000001],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.388603, 37.755928000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3895312, 37.75579929999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889626, 37.756876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888915, 37.7574041],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888756, 37.7572329],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889752, 37.7571094],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38897390000001, 37.7571094],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889547, 37.757106],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888756, 37.7572329],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38886979999998, 37.7571708],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3886976, 37.7565519],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38898190000002, 37.757020399999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38898329999999, 37.7570225],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38897659999998, 37.7570246],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38898190000002, 37.757027799999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38897790000001, 37.757026700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888193, 37.7567712],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38890740000001, 37.7575753],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3895229, 37.7574799],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38890740000001, 37.7575753],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.388901, 37.757506799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3895229, 37.7574799],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38952920000001, 37.7575484],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38954199999999, 37.75768529999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38953559999999, 37.7576169],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38896580000001, 37.757709999999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38954199999999, 37.75768529999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889138, 37.7576438],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38896580000001, 37.757709999999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38953559999999, 37.7576169],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38954199999999, 37.75768529999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3896298, 37.7568335],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38881140000001, 37.7566641],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38888200000001, 37.757301399999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38940179999999, 37.7573381],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38940179999999, 37.7573381],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38940179999999, 37.7573381],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3894138, 37.7574072],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3894138, 37.7574072],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3894138, 37.7574072],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38954820000001, 37.7577471],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.387429, 37.7564374],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38748799999999, 37.7572135],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38743980000001, 37.756573100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38499540000001, 37.7565966],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38499540000001, 37.7565966],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38747190000001, 37.7570312],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38749340000001, 37.7574892],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3874827, 37.7569336],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38743980000001, 37.7566876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3874827, 37.7573365],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38751029999999, 37.7576727],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38751840000002, 37.7577395],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900683, 37.7536999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41864240000001, 37.75806179999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41864240000001, 37.75806179999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41864240000001, 37.75806179999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41864240000001, 37.75806179999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41929669999999, 37.7580568],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192706, 37.7577843],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4186227, 37.7578564],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4186227, 37.7578564],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192706, 37.7577843],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41861090000002, 37.757733200000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4185998, 37.757616799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193882, 37.7576486],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4185998, 37.757616799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193882, 37.7576486],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4185932, 37.757548299999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192135, 37.7571874],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192135, 37.7571874],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192135, 37.7571874],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4186189, 37.757409],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4193777, 37.7574404],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4185867, 37.7574798],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4186189, 37.757409],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192246, 37.7573037],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192784, 37.757865100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41863059999999, 37.7579385],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192784, 37.757865100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192875, 37.757961],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192875, 37.757961],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192875, 37.757961],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41860449999999, 37.7572584],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4192135, 37.7571874],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41863059999999, 37.7579385],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4186227, 37.7578564],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40286329999999, 37.790087400000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40286329999999, 37.790087400000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40287140000001, 37.790098],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40269709999998, 37.790225],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40269709999998, 37.790225],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40277340000002, 37.7901532],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.40252360000001, 37.7897601],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.41244499999999, 37.7101158],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44410729999998, 37.757026],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.444148, 37.75711939999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44403740000001, 37.7569565],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4439387, 37.7569094],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44386180000001, 37.7568449],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44403740000001, 37.7569565],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.443852, 37.7564226],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44373859999999, 37.756323200000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44373859999999, 37.756323200000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44360520000001, 37.7566893],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.443754, 37.7567456],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4439962, 37.7565479],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3954717, 37.7901856],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39746059999999, 37.7891958],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39739979999999, 37.7893325],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3974095, 37.7894162],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3973043, 37.789744799999994],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39759340000002, 37.7894876],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3975057, 37.7894174],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39838950000001, 37.7185335],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3675625, 37.810389799999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.37165159999998, 37.8162006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.45272079999998, 37.7556186],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38902309999999, 37.7307125],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3890935, 37.7307524],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3891639, 37.7307923],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38881200000002, 37.7305929],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889527, 37.730672600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38923559999999, 37.730833000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38926809999998, 37.731458700000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38918899999999, 37.7314138],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3890746, 37.731349],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3889603, 37.7312842],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38888109999999, 37.7312393],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888019, 37.7311945],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38873159999999, 37.7311546],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3886436, 37.7311047],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3887, 37.730571600000005],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888824, 37.730632799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888824, 37.730632799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888824, 37.730632799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3888824, 37.730632799999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38853799999998, 37.73104489999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3884501, 37.7309951],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38840479999999, 37.7309272],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38859440000002, 37.7305117],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3883345, 37.7308874],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3882642, 37.730847499999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38859440000002, 37.7305117],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38859440000002, 37.7305117],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38853799999998, 37.73104489999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38951570000002, 37.730991700000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3895861, 37.7310316],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38972679999999, 37.731111299999995],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3896564, 37.7310714],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3897972, 37.731151200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3897972, 37.731151200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.389306, 37.73087279999999],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.389375, 37.7309119],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38944529999999, 37.7309518],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3898676, 37.731191100000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.38993789999999, 37.731231],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.39000829999999, 37.7312708],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3900787, 37.7313107],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3893913, 37.731528499999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.3901449, 37.7314143],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4646808, 37.743914200000006],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4645595, 37.7439238],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4644415, 37.7439331],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.46430120000001, 37.743945000000004],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.36871940000002, 37.8272473],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4485467, 37.7318206],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4485467, 37.7318206],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4485467, 37.7318206],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.44807079999998, 37.731822799999996],
        },
      },
      {
        type: 'Feature',
        properties: {
          metric: null,
          radius: null,
        },
        geometry: {
          type: 'Point',
          coordinates: [-122.4487196, 37.7318198],
        },
      },
    ],
  },
  hasCustomMetric: false,
  mapboxApiKey:
    'pk.eyJ1Ijoia3Jpc3R3IiwiYSI6ImNqbGg1N242NTFlczczdnBhazViMjgzZ2sifQ.lUneM-o3NucXN189EYyXxQ',
  mapStyle: 'mapbox://styles/mapbox/light-v9',
  aggregatorName: 'sum',
  clusteringRadius: '60',
  pointRadiusUnit: 'Pixels',
  globalOpacity: 1,
  bounds: [
    [-122.4753019, 37.7101158],
    [-122.3675625, 37.829124799999995],
  ],
  renderWhileDragging: true,
  tooltip: null,
  color: theme.colors.primary.base,
});
