/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/* eslint-disable sort-keys, no-magic-numbers */
export default [
  {
    key: 'East Asia & Pacific',
    values: [
      {
        country_name: 'China',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 1344130000.0,
        sum__SP_RUR_TOTL_ZS: 49.427,
        sum__SP_DYN_LE00_IN: 75.042,
        x: 49.427,
        y: 75.042,
        size: 1344130000.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Indonesia',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 244808254.0,
        sum__SP_RUR_TOTL_ZS: 49.288,
        sum__SP_DYN_LE00_IN: 70.3915609756,
        x: 49.288,
        y: 70.3915609756,
        size: 244808254.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Japan',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 127817277.0,
        sum__SP_RUR_TOTL_ZS: 8.752,
        sum__SP_DYN_LE00_IN: 82.5912195122,
        x: 8.752,
        y: 82.5912195122,
        size: 127817277.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Philippines',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 94501233.0,
        sum__SP_RUR_TOTL_ZS: 54.983,
        sum__SP_DYN_LE00_IN: 68.3914878049,
        x: 54.983,
        y: 68.3914878049,
        size: 94501233.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Vietnam',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 87840000.0,
        sum__SP_RUR_TOTL_ZS: 68.971,
        sum__SP_DYN_LE00_IN: 75.457902439,
        x: 68.971,
        y: 75.457902439,
        size: 87840000.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Thailand',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 66902958.0,
        sum__SP_RUR_TOTL_ZS: 54.606,
        sum__SP_DYN_LE00_IN: 74.008902439,
        x: 54.606,
        y: 74.008902439,
        size: 66902958.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
      {
        country_name: 'Myanmar',
        region: 'East Asia & Pacific',
        sum__SP_POP_TOTL: 52125411.0,
        sum__SP_RUR_TOTL_ZS: 68.065,
        sum__SP_DYN_LE00_IN: 64.7612439024,
        x: 68.065,
        y: 64.7612439024,
        size: 52125411.0,
        shape: 'circle',
        group: 'East Asia & Pacific',
      },
    ],
  },
  {
    key: 'South Asia',
    values: [
      {
        country_name: 'India',
        region: 'South Asia',
        sum__SP_POP_TOTL: 1247446011.0,
        sum__SP_RUR_TOTL_ZS: 68.724,
        sum__SP_DYN_LE00_IN: 65.9584878049,
        x: 68.724,
        y: 65.9584878049,
        size: 1247446011.0,
        shape: 'circle',
        group: 'South Asia',
      },
      {
        country_name: 'Pakistan',
        region: 'South Asia',
        sum__SP_POP_TOTL: 173669648.0,
        sum__SP_RUR_TOTL_ZS: 62.993,
        sum__SP_DYN_LE00_IN: 66.2838780488,
        x: 62.993,
        y: 66.2838780488,
        size: 173669648.0,
        shape: 'circle',
        group: 'South Asia',
      },
      {
        country_name: 'Bangladesh',
        region: 'South Asia',
        sum__SP_POP_TOTL: 153405612.0,
        sum__SP_RUR_TOTL_ZS: 68.775,
        sum__SP_DYN_LE00_IN: 69.891804878,
        x: 68.775,
        y: 69.891804878,
        size: 153405612.0,
        shape: 'circle',
        group: 'South Asia',
      },
    ],
  },
  {
    key: 'North America',
    values: [
      {
        country_name: 'United States',
        region: 'North America',
        sum__SP_POP_TOTL: 311721632.0,
        sum__SP_RUR_TOTL_ZS: 19.06,
        sum__SP_DYN_LE00_IN: 78.6414634146,
        x: 19.06,
        y: 78.6414634146,
        size: 311721632.0,
        shape: 'circle',
        group: 'North America',
      },
    ],
  },
  {
    key: 'Latin America & Caribbean',
    values: [
      {
        country_name: 'Brazil',
        region: 'Latin America & Caribbean',
        sum__SP_POP_TOTL: 200517584.0,
        sum__SP_RUR_TOTL_ZS: 15.377,
        sum__SP_DYN_LE00_IN: 73.3473658537,
        x: 15.377,
        y: 73.3473658537,
        size: 200517584.0,
        shape: 'circle',
        group: 'Latin America & Caribbean',
      },
      {
        country_name: 'Mexico',
        region: 'Latin America & Caribbean',
        sum__SP_POP_TOTL: 120365271.0,
        sum__SP_RUR_TOTL_ZS: 21.882,
        sum__SP_DYN_LE00_IN: 76.9141707317,
        x: 21.882,
        y: 76.9141707317,
        size: 120365271.0,
        shape: 'circle',
        group: 'Latin America & Caribbean',
      },
    ],
  },
  {
    key: 'Sub-Saharan Africa',
    values: [
      {
        country_name: 'Nigeria',
        region: 'Sub-Saharan Africa',
        sum__SP_POP_TOTL: 163770669.0,
        sum__SP_RUR_TOTL_ZS: 55.638,
        sum__SP_DYN_LE00_IN: 51.7102439024,
        x: 55.638,
        y: 51.7102439024,
        size: 163770669.0,
        shape: 'circle',
        group: 'Sub-Saharan Africa',
      },
      {
        country_name: 'Ethiopia',
        region: 'Sub-Saharan Africa',
        sum__SP_POP_TOTL: 89858696.0,
        sum__SP_RUR_TOTL_ZS: 82.265,
        sum__SP_DYN_LE00_IN: 62.2528536585,
        x: 82.265,
        y: 62.2528536585,
        size: 89858696.0,
        shape: 'circle',
        group: 'Sub-Saharan Africa',
      },
      {
        country_name: 'Congo, Dem. Rep.',
        region: 'Sub-Saharan Africa',
        sum__SP_POP_TOTL: 68087376.0,
        sum__SP_RUR_TOTL_ZS: 59.558,
        sum__SP_DYN_LE00_IN: 49.3007073171,
        x: 59.558,
        y: 49.3007073171,
        size: 68087376.0,
        shape: 'circle',
        group: 'Sub-Saharan Africa',
      },
      {
        country_name: 'South Africa',
        region: 'Sub-Saharan Africa',
        sum__SP_POP_TOTL: 51553479.0,
        sum__SP_RUR_TOTL_ZS: 37.254,
        sum__SP_DYN_LE00_IN: 55.2956585366,
        x: 37.254,
        y: 55.2956585366,
        size: 51553479.0,
        shape: 'circle',
        group: 'Sub-Saharan Africa',
      },
    ],
  },
  {
    key: 'Europe & Central Asia',
    values: [
      {
        country_name: 'Russian Federation',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 142960868.0,
        sum__SP_RUR_TOTL_ZS: 26.268,
        sum__SP_DYN_LE00_IN: 69.6585365854,
        x: 26.268,
        y: 69.6585365854,
        size: 142960868.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
      {
        country_name: 'Germany',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 81797673.0,
        sum__SP_RUR_TOTL_ZS: 25.512,
        sum__SP_DYN_LE00_IN: 80.7414634146,
        x: 25.512,
        y: 80.7414634146,
        size: 81797673.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
      {
        country_name: 'Turkey',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 73199372.0,
        sum__SP_RUR_TOTL_ZS: 28.718,
        sum__SP_DYN_LE00_IN: 74.5404878049,
        x: 28.718,
        y: 74.5404878049,
        size: 73199372.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
      {
        country_name: 'France',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 65342776.0,
        sum__SP_RUR_TOTL_ZS: 21.416,
        sum__SP_DYN_LE00_IN: 82.1146341463,
        x: 21.416,
        y: 82.1146341463,
        size: 65342776.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
      {
        country_name: 'United Kingdom',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 63258918.0,
        sum__SP_RUR_TOTL_ZS: 18.43,
        sum__SP_DYN_LE00_IN: 80.9512195122,
        x: 18.43,
        y: 80.9512195122,
        size: 63258918.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
      {
        country_name: 'Italy',
        region: 'Europe & Central Asia',
        sum__SP_POP_TOTL: 59379449.0,
        sum__SP_RUR_TOTL_ZS: 31.556,
        sum__SP_DYN_LE00_IN: 82.187804878,
        x: 31.556,
        y: 82.187804878,
        size: 59379449.0,
        shape: 'circle',
        group: 'Europe & Central Asia',
      },
    ],
  },
  {
    key: 'Middle East & North Africa',
    values: [
      {
        country_name: 'Egypt, Arab Rep.',
        region: 'Middle East & North Africa',
        sum__SP_POP_TOTL: 83787634.0,
        sum__SP_RUR_TOTL_ZS: 57.0,
        sum__SP_DYN_LE00_IN: 70.6785609756,
        x: 57.0,
        y: 70.6785609756,
        size: 83787634.0,
        shape: 'circle',
        group: 'Middle East & North Africa',
      },
      {
        country_name: 'Iran, Islamic Rep.',
        region: 'Middle East & North Africa',
        sum__SP_POP_TOTL: 75184322.0,
        sum__SP_RUR_TOTL_ZS: 28.8,
        sum__SP_DYN_LE00_IN: 73.4493170732,
        x: 28.8,
        y: 73.4493170732,
        size: 75184322.0,
        shape: 'circle',
        group: 'Middle East & North Africa',
      },
    ],
  },
];
