 <!-- * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License. -->

 # Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.1.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v2.1.0) (2023-04-18)

### Bug Fixes

- Add mexico back to country map ([#18219](https://github.com/apache-superset/superset-ui/issues/18219)) ([7f3453f](https://github.com/apache-superset/superset-ui/commit/7f3453f3ea4d5185c3a5f2c1d8738f474817600f))
- adding missing examples for bubble chart, bullet chart, calendar heatmap chart and country map chart in the gallery ([#22523](https://github.com/apache-superset/superset-ui/issues/22523)) ([839ec7c](https://github.com/apache-superset/superset-ui/commit/839ec7ceacc66c65928fd0ddead2b014db3d5563))
- Correct Ukraine map ([#19528](https://github.com/apache-superset/superset-ui/issues/19528)) ([cccec9a](https://github.com/apache-superset/superset-ui/commit/cccec9a6ab8eadea2ecaac6ee2094c8eb7d6b1f4))

### Features

- Add Türkiye Map to Country Map ([#20801](https://github.com/apache-superset/superset-ui/issues/20801)) ([4ffa3c2](https://github.com/apache-superset/superset-ui/commit/4ffa3c22d17b189a384f43a0e352b137900b10bc))
- Added latin america countries to country map ([#21352](https://github.com/apache-superset/superset-ui/issues/21352)) ([f83af88](https://github.com/apache-superset/superset-ui/commit/f83af88fc7922774b4c1a7792f0602edcb80763d))
- **chart:** add Mexico to country map viz ([#18007](https://github.com/apache-superset/superset-ui/issues/18007)) ([f451081](https://github.com/apache-superset/superset-ui/commit/f45108116673d5810c238bb911058dc8ed05b75a))
- **chart:** Added Latvia to countries map ([#22220](https://github.com/apache-superset/superset-ui/issues/22220)) ([9578a44](https://github.com/apache-superset/superset-ui/commit/9578a443ef713f01f4cc9cd3a8616b819a7a7a65))
- **chart:** Added Papua New Guinea to countries map ([#22589](https://github.com/apache-superset/superset-ui/issues/22589)) ([b352947](https://github.com/apache-superset/superset-ui/commit/b3529479ab39fcc273189bf4db4a0f1fd8b1cc0c))
- **country-map:** added new countries in country-chart-map ([#18081](https://github.com/apache-superset/superset-ui/issues/18081)) ([0cec0c9](https://github.com/apache-superset/superset-ui/commit/0cec0c9a68c9489c54bea8d10ea7b28c1729e2dc))
- **explore:** Apply denormalization to tier 2 charts form data ([#20524](https://github.com/apache-superset/superset-ui/issues/20524)) ([e12ee59](https://github.com/apache-superset/superset-ui/commit/e12ee59b13822241dca8d8015f1222c477edd4f3))
- improve color consistency (save all labels) ([#19038](https://github.com/apache-superset/superset-ui/issues/19038)) ([dc57508](https://github.com/apache-superset/superset-ui/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))

# [0.19.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v0.19.0) (2023-04-18)

### Bug Fixes

- Add mexico back to country map ([#18219](https://github.com/apache-superset/superset-ui/issues/18219)) ([7f3453f](https://github.com/apache-superset/superset-ui/commit/7f3453f3ea4d5185c3a5f2c1d8738f474817600f))
- adding missing examples for bubble chart, bullet chart, calendar heatmap chart and country map chart in the gallery ([#22523](https://github.com/apache-superset/superset-ui/issues/22523)) ([839ec7c](https://github.com/apache-superset/superset-ui/commit/839ec7ceacc66c65928fd0ddead2b014db3d5563))
- Correct Ukraine map ([#19528](https://github.com/apache-superset/superset-ui/issues/19528)) ([cccec9a](https://github.com/apache-superset/superset-ui/commit/cccec9a6ab8eadea2ecaac6ee2094c8eb7d6b1f4))

### Features

- Add Türkiye Map to Country Map ([#20801](https://github.com/apache-superset/superset-ui/issues/20801)) ([4ffa3c2](https://github.com/apache-superset/superset-ui/commit/4ffa3c22d17b189a384f43a0e352b137900b10bc))
- Added latin america countries to country map ([#21352](https://github.com/apache-superset/superset-ui/issues/21352)) ([f83af88](https://github.com/apache-superset/superset-ui/commit/f83af88fc7922774b4c1a7792f0602edcb80763d))
- **chart:** add Mexico to country map viz ([#18007](https://github.com/apache-superset/superset-ui/issues/18007)) ([f451081](https://github.com/apache-superset/superset-ui/commit/f45108116673d5810c238bb911058dc8ed05b75a))
- **chart:** Added Latvia to countries map ([#22220](https://github.com/apache-superset/superset-ui/issues/22220)) ([9578a44](https://github.com/apache-superset/superset-ui/commit/9578a443ef713f01f4cc9cd3a8616b819a7a7a65))
- **chart:** Added Papua New Guinea to countries map ([#22589](https://github.com/apache-superset/superset-ui/issues/22589)) ([b352947](https://github.com/apache-superset/superset-ui/commit/b3529479ab39fcc273189bf4db4a0f1fd8b1cc0c))
- **country-map:** added new countries in country-chart-map ([#18081](https://github.com/apache-superset/superset-ui/issues/18081)) ([0cec0c9](https://github.com/apache-superset/superset-ui/commit/0cec0c9a68c9489c54bea8d10ea7b28c1729e2dc))
- **explore:** Apply denormalization to tier 2 charts form data ([#20524](https://github.com/apache-superset/superset-ui/issues/20524)) ([e12ee59](https://github.com/apache-superset/superset-ui/commit/e12ee59b13822241dca8d8015f1222c477edd4f3))
- improve color consistency (save all labels) ([#19038](https://github.com/apache-superset/superset-ui/issues/19038)) ([dc57508](https://github.com/apache-superset/superset-ui/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))

# [0.18.0](https://github.com/apache-superset/superset-ui/compare/v0.17.87...v0.18.0) (2021-08-30)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-country-map

## [0.17.61](https://github.com/apache-superset/superset-ui/compare/v0.17.60...v0.17.61) (2021-07-02)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-country-map
