 <!-- * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License. -->

 # Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.1.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v2.1.0) (2023-04-18)

### Bug Fixes

- **chart & heatmap:** make to fix that y label is rendering out of bounds ([#20011](https://github.com/apache-superset/superset-ui/issues/20011)) ([56e9695](https://github.com/apache-superset/superset-ui/commit/56e96950c17ec65ef18cedfb2ed6591796a96cfc))
- **explore:** Prevent shared controls from checking feature flags outside React render ([#21315](https://github.com/apache-superset/superset-ui/issues/21315)) ([2285ebe](https://github.com/apache-superset/superset-ui/commit/2285ebe72ec4edded6d195052740b7f9f13d1f1b))
- **heatmap:** add detail descriptions for heatmap 'normalize across' ([#20566](https://github.com/apache-superset/superset-ui/issues/20566)) ([d925b0c](https://github.com/apache-superset/superset-ui/commit/d925b0c8835fb1773b80298a3de1bdc368c88850))
- **select:** select component sort functionality on certain options ([#17638](https://github.com/apache-superset/superset-ui/issues/17638)) ([f476ba2](https://github.com/apache-superset/superset-ui/commit/f476ba23a279cb87a94ad3075e035cad0ae264b6))

### Features

- **chart & legend:** make to enable show legend by default ([#19927](https://github.com/apache-superset/superset-ui/issues/19927)) ([7b3d0f0](https://github.com/apache-superset/superset-ui/commit/7b3d0f040b050905f7d0901d0227f1cd6b761b56))
- **explore:** Apply denormalization to tier 2 charts form data ([#20524](https://github.com/apache-superset/superset-ui/issues/20524)) ([e12ee59](https://github.com/apache-superset/superset-ui/commit/e12ee59b13822241dca8d8015f1222c477edd4f3))

### Reverts

- Revert "chore(deps): bump d3-svg-legend in /superset-frontend (#19846)" (#19972) ([f144de4](https://github.com/apache-superset/superset-ui/commit/f144de4ee2bf213bb7e17f903bd3975d504c4136)), closes [#19846](https://github.com/apache-superset/superset-ui/issues/19846) [#19972](https://github.com/apache-superset/superset-ui/issues/19972)

# [0.19.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v0.19.0) (2023-04-18)

### Bug Fixes

- **chart & heatmap:** make to fix that y label is rendering out of bounds ([#20011](https://github.com/apache-superset/superset-ui/issues/20011)) ([56e9695](https://github.com/apache-superset/superset-ui/commit/56e96950c17ec65ef18cedfb2ed6591796a96cfc))
- **explore:** Prevent shared controls from checking feature flags outside React render ([#21315](https://github.com/apache-superset/superset-ui/issues/21315)) ([2285ebe](https://github.com/apache-superset/superset-ui/commit/2285ebe72ec4edded6d195052740b7f9f13d1f1b))
- **heatmap:** add detail descriptions for heatmap 'normalize across' ([#20566](https://github.com/apache-superset/superset-ui/issues/20566)) ([d925b0c](https://github.com/apache-superset/superset-ui/commit/d925b0c8835fb1773b80298a3de1bdc368c88850))
- **select:** select component sort functionality on certain options ([#17638](https://github.com/apache-superset/superset-ui/issues/17638)) ([f476ba2](https://github.com/apache-superset/superset-ui/commit/f476ba23a279cb87a94ad3075e035cad0ae264b6))

### Features

- **chart & legend:** make to enable show legend by default ([#19927](https://github.com/apache-superset/superset-ui/issues/19927)) ([7b3d0f0](https://github.com/apache-superset/superset-ui/commit/7b3d0f040b050905f7d0901d0227f1cd6b761b56))
- **explore:** Apply denormalization to tier 2 charts form data ([#20524](https://github.com/apache-superset/superset-ui/issues/20524)) ([e12ee59](https://github.com/apache-superset/superset-ui/commit/e12ee59b13822241dca8d8015f1222c477edd4f3))

### Reverts

- Revert "chore(deps): bump d3-svg-legend in /superset-frontend (#19846)" (#19972) ([f144de4](https://github.com/apache-superset/superset-ui/commit/f144de4ee2bf213bb7e17f903bd3975d504c4136)), closes [#19846](https://github.com/apache-superset/superset-ui/issues/19846) [#19972](https://github.com/apache-superset/superset-ui/issues/19972)

# [0.18.0](https://github.com/apache-superset/superset-ui/compare/v0.17.87...v0.18.0) (2021-08-30)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-heatmap

## [0.17.61](https://github.com/apache-superset/superset-ui/compare/v0.17.60...v0.17.61) (2021-07-02)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-heatmap
