 <!-- * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License. -->

 # Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.1.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v2.1.0) (2023-04-18)

### Bug Fixes

- Right click on country map with code filter ([#22081](https://github.com/apache-superset/superset-ui/issues/22081)) ([824dc71](https://github.com/apache-superset/superset-ui/commit/824dc7188b953270ca754f96ca615e96c61dbea4))
- Right-click on misconfigured World Map ([#21697](https://github.com/apache-superset/superset-ui/issues/21697)) ([770f68f](https://github.com/apache-superset/superset-ui/commit/770f68f5b187b573f50f53a80d9cfffb24f0c583))
- World Map right-click value ([#21209](https://github.com/apache-superset/superset-ui/issues/21209)) ([d41f44f](https://github.com/apache-superset/superset-ui/commit/d41f44fcdf387072bc5d7700a5e8871c6594baef))
- **world-map:** remove categorical color option ([#19781](https://github.com/apache-superset/superset-ui/issues/19781)) ([5e468f7](https://github.com/apache-superset/superset-ui/commit/5e468f7a4cccc496ccafa52f9aba5b7688145fe4))

### Features

- Adds drill to detail context menu to Pivot Table ([#21198](https://github.com/apache-superset/superset-ui/issues/21198)) ([859b6d2](https://github.com/apache-superset/superset-ui/commit/859b6d2d20a58f2079c43bb66645fd3b604e077e))
- Adds drill to detail context menu to World Map ([#21150](https://github.com/apache-superset/superset-ui/issues/21150)) ([4ca4a5c](https://github.com/apache-superset/superset-ui/commit/4ca4a5c7cb185ac7d318ef5349fbb23cd7ce1fd1))
- apply standardized form data to tier 2 charts ([#20530](https://github.com/apache-superset/superset-ui/issues/20530)) ([de524bc](https://github.com/apache-superset/superset-ui/commit/de524bc59f011fd361dcdb7d35c2cb51f7eba442))
- **dashboard:** menu improvements, fallback support for Drill to Detail ([#21351](https://github.com/apache-superset/superset-ui/issues/21351)) ([76e57ec](https://github.com/apache-superset/superset-ui/commit/76e57ec651bbfaf4f76031eeeca66f6a1fa81bc2))
- **explore:** Denormalize form data in echarts, world map and nvd3 bar and line charts ([#20313](https://github.com/apache-superset/superset-ui/issues/20313)) ([354a899](https://github.com/apache-superset/superset-ui/commit/354a89950c4d001da3e107f60788cea873bd6bf6))
- improve color consistency (save all labels) ([#19038](https://github.com/apache-superset/superset-ui/issues/19038)) ([dc57508](https://github.com/apache-superset/superset-ui/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))
- **world-map:** support color by metric or country column ([#19881](https://github.com/apache-superset/superset-ui/issues/19881)) ([766f737](https://github.com/apache-superset/superset-ui/commit/766f737728c273d39a35dfa281e874a0efeabec3))

# [0.19.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v0.19.0) (2023-04-18)

### Bug Fixes

- Right click on country map with code filter ([#22081](https://github.com/apache-superset/superset-ui/issues/22081)) ([824dc71](https://github.com/apache-superset/superset-ui/commit/824dc7188b953270ca754f96ca615e96c61dbea4))
- Right-click on misconfigured World Map ([#21697](https://github.com/apache-superset/superset-ui/issues/21697)) ([770f68f](https://github.com/apache-superset/superset-ui/commit/770f68f5b187b573f50f53a80d9cfffb24f0c583))
- World Map right-click value ([#21209](https://github.com/apache-superset/superset-ui/issues/21209)) ([d41f44f](https://github.com/apache-superset/superset-ui/commit/d41f44fcdf387072bc5d7700a5e8871c6594baef))
- **world-map:** remove categorical color option ([#19781](https://github.com/apache-superset/superset-ui/issues/19781)) ([5e468f7](https://github.com/apache-superset/superset-ui/commit/5e468f7a4cccc496ccafa52f9aba5b7688145fe4))

### Features

- Adds drill to detail context menu to Pivot Table ([#21198](https://github.com/apache-superset/superset-ui/issues/21198)) ([859b6d2](https://github.com/apache-superset/superset-ui/commit/859b6d2d20a58f2079c43bb66645fd3b604e077e))
- Adds drill to detail context menu to World Map ([#21150](https://github.com/apache-superset/superset-ui/issues/21150)) ([4ca4a5c](https://github.com/apache-superset/superset-ui/commit/4ca4a5c7cb185ac7d318ef5349fbb23cd7ce1fd1))
- apply standardized form data to tier 2 charts ([#20530](https://github.com/apache-superset/superset-ui/issues/20530)) ([de524bc](https://github.com/apache-superset/superset-ui/commit/de524bc59f011fd361dcdb7d35c2cb51f7eba442))
- **dashboard:** menu improvements, fallback support for Drill to Detail ([#21351](https://github.com/apache-superset/superset-ui/issues/21351)) ([76e57ec](https://github.com/apache-superset/superset-ui/commit/76e57ec651bbfaf4f76031eeeca66f6a1fa81bc2))
- **explore:** Denormalize form data in echarts, world map and nvd3 bar and line charts ([#20313](https://github.com/apache-superset/superset-ui/issues/20313)) ([354a899](https://github.com/apache-superset/superset-ui/commit/354a89950c4d001da3e107f60788cea873bd6bf6))
- improve color consistency (save all labels) ([#19038](https://github.com/apache-superset/superset-ui/issues/19038)) ([dc57508](https://github.com/apache-superset/superset-ui/commit/dc575080d7e43d40b1734bb8f44fdc291cb95b11))
- **world-map:** support color by metric or country column ([#19881](https://github.com/apache-superset/superset-ui/issues/19881)) ([766f737](https://github.com/apache-superset/superset-ui/commit/766f737728c273d39a35dfa281e874a0efeabec3))

# [0.18.0](https://github.com/apache-superset/superset-ui/compare/v0.17.87...v0.18.0) (2021-08-30)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-world-map

## [0.17.61](https://github.com/apache-superset/superset-ui/compare/v0.17.60...v0.17.61) (2021-07-02)

**Note:** Version bump only for package @superset-ui/legacy-plugin-chart-world-map
