 <!-- * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License. -->

 # Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [2.1.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v2.1.0) (2023-04-18)

### Bug Fixes

- Adds time grain to Pivot Table v2 ([#22170](https://github.com/apache-superset/superset-ui/issues/22170)) ([9a2cb43](https://github.com/apache-superset/superset-ui/commit/9a2cb431ce9b82d656838d70c088bc00f3e4bd5e))
- **dashboard:** fix Pivot Table V2 dragPreview in the dashboard ([#21539](https://github.com/apache-superset/superset-ui/issues/21539)) ([ab53d77](https://github.com/apache-superset/superset-ui/commit/ab53d77abacaf03e67c5a922c1e9dbd9a62fedbf))
- Pivot Table Conditional Formatting Doesn't Show All Options ([#19071](https://github.com/apache-superset/superset-ui/issues/19071)) ([0e0bece](https://github.com/apache-superset/superset-ui/commit/0e0beceac173f765d8f9a0887732029b78603f6d))
- **plugin-chart-pivot-table:** Invalid Formats Date Fields ([#20909](https://github.com/apache-superset/superset-ui/issues/20909)) ([3f124d9](https://github.com/apache-superset/superset-ui/commit/3f124d9d67f194746da0a49ee2456a0530ec73f9))
- string aggregation is incorrect in PivotTableV2 ([#19102](https://github.com/apache-superset/superset-ui/issues/19102)) ([22b7496](https://github.com/apache-superset/superset-ui/commit/22b7496d2ea444ca619aa21f9e820bb610cc5648))

### Features

- Adds drill to detail context menu to Pivot Table ([#21198](https://github.com/apache-superset/superset-ui/issues/21198)) ([859b6d2](https://github.com/apache-superset/superset-ui/commit/859b6d2d20a58f2079c43bb66645fd3b604e077e))
- Adds drill to detail context menu to Table ([#21168](https://github.com/apache-superset/superset-ui/issues/21168)) ([68fa4d2](https://github.com/apache-superset/superset-ui/commit/68fa4d2665cc0742b2194533271ce562a3ebbf14))
- Axis sort in the Bar Chart V2 ([#21993](https://github.com/apache-superset/superset-ui/issues/21993)) ([22fab5e](https://github.com/apache-superset/superset-ui/commit/22fab5e58ce574e962518067d982e3036449e580))
- **dashboard:** menu improvements, fallback support for Drill to Detail ([#21351](https://github.com/apache-superset/superset-ui/issues/21351)) ([76e57ec](https://github.com/apache-superset/superset-ui/commit/76e57ec651bbfaf4f76031eeeca66f6a1fa81bc2))
- **explore:** Frontend implementation of dataset creation from infobox ([#19855](https://github.com/apache-superset/superset-ui/issues/19855)) ([ba0c37d](https://github.com/apache-superset/superset-ui/commit/ba0c37d3df85b1af39404af1d578daeb0ff2d278))
- Move cross filters to Dashboard ([#22785](https://github.com/apache-superset/superset-ui/issues/22785)) ([9ed2326](https://github.com/apache-superset/superset-ui/commit/9ed2326a20329d41abc8e0995b0ba6110379088f))
- **plugin-chart-pivot-table:** support series limit ([#17803](https://github.com/apache-superset/superset-ui/issues/17803)) ([2c3f39f](https://github.com/apache-superset/superset-ui/commit/2c3f39f3f2a4369bf03403c452d124c24c521e7d))
- standardized form_data ([#20010](https://github.com/apache-superset/superset-ui/issues/20010)) ([dd4b581](https://github.com/apache-superset/superset-ui/commit/dd4b581fb55d920fc3b709fc044cea5339802ee2))
- support multiple time columns with time grain in Pivot Table v2 ([#21537](https://github.com/apache-superset/superset-ui/issues/21537)) ([e671d80](https://github.com/apache-superset/superset-ui/commit/e671d8020982111e117e7415dee41672cc32d780))

# [0.19.0](https://github.com/apache-superset/superset-ui/compare/v2021.41.0...v0.19.0) (2023-04-18)

### Bug Fixes

- Adds time grain to Pivot Table v2 ([#22170](https://github.com/apache-superset/superset-ui/issues/22170)) ([9a2cb43](https://github.com/apache-superset/superset-ui/commit/9a2cb431ce9b82d656838d70c088bc00f3e4bd5e))
- **dashboard:** fix Pivot Table V2 dragPreview in the dashboard ([#21539](https://github.com/apache-superset/superset-ui/issues/21539)) ([ab53d77](https://github.com/apache-superset/superset-ui/commit/ab53d77abacaf03e67c5a922c1e9dbd9a62fedbf))
- Pivot Table Conditional Formatting Doesn't Show All Options ([#19071](https://github.com/apache-superset/superset-ui/issues/19071)) ([0e0bece](https://github.com/apache-superset/superset-ui/commit/0e0beceac173f765d8f9a0887732029b78603f6d))
- **plugin-chart-pivot-table:** Invalid Formats Date Fields ([#20909](https://github.com/apache-superset/superset-ui/issues/20909)) ([3f124d9](https://github.com/apache-superset/superset-ui/commit/3f124d9d67f194746da0a49ee2456a0530ec73f9))
- string aggregation is incorrect in PivotTableV2 ([#19102](https://github.com/apache-superset/superset-ui/issues/19102)) ([22b7496](https://github.com/apache-superset/superset-ui/commit/22b7496d2ea444ca619aa21f9e820bb610cc5648))

### Features

- Adds drill to detail context menu to Pivot Table ([#21198](https://github.com/apache-superset/superset-ui/issues/21198)) ([859b6d2](https://github.com/apache-superset/superset-ui/commit/859b6d2d20a58f2079c43bb66645fd3b604e077e))
- Adds drill to detail context menu to Table ([#21168](https://github.com/apache-superset/superset-ui/issues/21168)) ([68fa4d2](https://github.com/apache-superset/superset-ui/commit/68fa4d2665cc0742b2194533271ce562a3ebbf14))
- Axis sort in the Bar Chart V2 ([#21993](https://github.com/apache-superset/superset-ui/issues/21993)) ([22fab5e](https://github.com/apache-superset/superset-ui/commit/22fab5e58ce574e962518067d982e3036449e580))
- **dashboard:** menu improvements, fallback support for Drill to Detail ([#21351](https://github.com/apache-superset/superset-ui/issues/21351)) ([76e57ec](https://github.com/apache-superset/superset-ui/commit/76e57ec651bbfaf4f76031eeeca66f6a1fa81bc2))
- **explore:** Frontend implementation of dataset creation from infobox ([#19855](https://github.com/apache-superset/superset-ui/issues/19855)) ([ba0c37d](https://github.com/apache-superset/superset-ui/commit/ba0c37d3df85b1af39404af1d578daeb0ff2d278))
- Move cross filters to Dashboard ([#22785](https://github.com/apache-superset/superset-ui/issues/22785)) ([9ed2326](https://github.com/apache-superset/superset-ui/commit/9ed2326a20329d41abc8e0995b0ba6110379088f))
- **plugin-chart-pivot-table:** support series limit ([#17803](https://github.com/apache-superset/superset-ui/issues/17803)) ([2c3f39f](https://github.com/apache-superset/superset-ui/commit/2c3f39f3f2a4369bf03403c452d124c24c521e7d))
- standardized form_data ([#20010](https://github.com/apache-superset/superset-ui/issues/20010)) ([dd4b581](https://github.com/apache-superset/superset-ui/commit/dd4b581fb55d920fc3b709fc044cea5339802ee2))
- support multiple time columns with time grain in Pivot Table v2 ([#21537](https://github.com/apache-superset/superset-ui/issues/21537)) ([e671d80](https://github.com/apache-superset/superset-ui/commit/e671d8020982111e117e7415dee41672cc32d780))

# [0.18.0](https://github.com/apache-superset/superset-ui/compare/v0.17.87...v0.18.0) (2021-08-30)

### Bug Fixes

- Make the scrollbar appear inside the table ([#1310](https://github.com/apache-superset/superset-ui/issues/1310)) ([1aad2d1](https://github.com/apache-superset/superset-ui/commit/1aad2d11af95f5046f2b67d86b30c9581de4994b))

## [0.17.61](https://github.com/apache-superset/superset-ui/compare/v0.17.60...v0.17.61) (2021-07-02)

**Note:** Version bump only for package @superset-ui/plugin-chart-pivot-table
